Download Report by Reference Id
Returns the Report as attachment
The report is still being generated (status Pending or Rerun); retry the download later
Bad request
Unauthorized
Report not found
Server Error, including a report whose generation failed
A dependency timed out or is unavailable; the outcome is not known, retry the request later
curl -i -X GET \ 'https://qvapikeybank.qolopay.com/api/{version}/reports/Download?reference_id=string' \ -H 'Authorization: Bearer <YOUR_JWT_HERE>'
{- "date_from": "2019-08-24T14:15:22Z",
- "date_to": "2019-08-24T14:15:22Z",
- "error": "string",
- "ext_name": "string",
- "filename": "string",
- "program_guid": "3fa0d2ea-ffcf-485d-94ed-dbf4f861ad2f",
- "program_name": "string",
- "reference_id": "97c1ff22-6e4f-4821-b1d3-5236781d37b8",
- "report_name": "string",
- "rpt_lastgenerated": "2019-08-24T14:15:22Z",
- "rpt_requested": "2019-08-24T14:15:22Z",
- "message": "string",
- "status": "Pending",
- "retry_after_seconds": 0
}